Bug 187658 - Long description of net/netatalk3 3.1.0_4,1 is wrong
Long description of net/netatalk3 3.1.0_4,1 is wrong
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joe Marcus Clarke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-17 12:10 UTC by rb
Modified: 2014-03-18 22:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rb 2014-03-17 12:10:00 UTC
The port long description describes AppleTalk support, but AppleTalk support was removed from netatalk at version 3.0 (see http://netatalk.sourceforge.net/3.0/ReleaseNotes-3.0.html).

Fix: 

Correct the port long description.
How-To-Repeat: http://svnweb.freebsd.org/ports/head/net/netatalk3/pkg-descr?revision=HEAD
Comment 1 Edwin Groothuis freebsd_committer 2014-03-17 16:23:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marcus

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-03-18 21:53:45 UTC
Author: marcus
Date: Tue Mar 18 21:53:40 2014
New Revision: 348600
URL: http://svnweb.freebsd.org/changeset/ports/348600
QAT: https://qat.redports.org/buildarchive/r348600/

Log:
  Update to 3.1.1.  See http://netatalk.sourceforge.net/3.1/ReleaseNotes3.1.1.html
  for the list of changes in this release.
  
  Additionally, fix some new LIB_DEPENDS usage, and adjust the pkg-descr to
  match reality [1].
  
  PR:		187658 [1]

Added:
  head/net/netatalk3/files/patch-etc-cnid_bdb_cmd_dbd_scanvol.c   (contents, props changed)
Deleted:
  head/net/netatalk3/files/patch-etc_afpd_afp_mdns.c
Modified:
  head/net/netatalk3/Makefile
  head/net/netatalk3/distinfo
  head/net/netatalk3/files/patch-etc_apfd_Makefile.in
  head/net/netatalk3/pkg-descr
  head/net/netatalk3/pkg-plist

Modified: head/net/netatalk3/Makefile
==============================================================================
--- head/net/netatalk3/Makefile	Tue Mar 18 21:29:04 2014	(r348599)
+++ head/net/netatalk3/Makefile	Tue Mar 18 21:53:40 2014	(r348600)
@@ -2,12 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	netatalk
-PORTVERSION=	3.1.0
-PORTREVISION=	4
+PORTVERSION=	3.1.1
 PORTEPOCH=	1
 CATEGORIES=	net
 MASTER_SITES=	SF
-MASTER_SITE_SUBDIR=${PORTNAME}/${PORTNAME}/3.1
+#MASTER_SITE_SUBDIR=${PORTNAME}/${PORTNAME}/3.1
 PKGNAMESUFFIX=	3
 
 MAINTAINER=	marcus@FreeBSD.org
@@ -19,7 +18,7 @@ LIB_DEPENDS=	libgcrypt.so:${PORTSDIR}/se
     		libevent-2.0.so:${PORTSDIR}/devel/libevent2
 
 USE_AUTOTOOLS=	libtool
-USE_BDB=	46+
+USE_BDB=	5+
 USE_BZIP2=	yes
 USES=		iconv gmake pkgconfig perl5
 GNU_CONFIGURE=	yes
@@ -46,8 +45,8 @@ OPTIONS_DEFAULT+=AVAHI
 NOZEROCONF_DESC=Disable Zeroconf(Bonjour) support
 KRB5_DESC=	Enable Kerberos V UAM
 DTRACE_DESC=	Enable DTrace support
-SENDFILE_DESC=	Enable Sendfile support
 MYSQL_DESC=	Enable MySQL CNID backend support
+SENDFILE_DESC=	Enable Sendfile support
 ACL_DESC=	Enable ACL support
 
 .include <bsd.port.options.mk>
@@ -89,14 +88,14 @@ SUB_LIST+=		ZEROCONF=""
 .if ${PORT_OPTIONS:MAVAHI}
 CONFIGURE_ARGS+=	--enable-zeroconf=${LOCALBASE}
 CFLAGS+=		-I${LOCALBASE}/include -L${LOCALBASE}/lib
-LIB_DEPENDS+=		avahi-client:${PORTSDIR}/net/avahi-app
+LIB_DEPENDS+=		libavahi-client.so:${PORTSDIR}/net/avahi-app
 SUB_LIST+=		ZEROCONF="avahi_daemon"
 .endif
 
 .if ${PORT_OPTIONS:MMDNSRESPONDER}
 CONFIGURE_ARGS+=	--enable-zeroconf=${LOCALBASE}
 CFLAGS+=		-I${LOCALBASE}/include -L${LOCALBASE}/lib
-LIB_DEPENDS+=		dns_sd:${PORTSDIR}/net/mDNSResponder
+LIB_DEPENDS+=		libdns_sd.so:${PORTSDIR}/net/mDNSResponder
 SUB_LIST+=		ZEROCONF="mdnsd"
 .endif
 
@@ -115,7 +114,7 @@ CONFIGURE_ARGS+=	--disable-sendfile
 .endif
 
 .if ${PORT_OPTIONS:MDBUS} || exists(${LOCALBASE}/libdata/pkgconfig/dbus-glib-1.pc)
-LIB_DEPENDS+=		dbus-glib-1:${PORTSDIR}/devel/dbus-glib
+LIB_DEPENDS+=		libdbus-glib-1.so:${PORTSDIR}/devel/dbus-glib
 RUN_DEPENDS+=		${LOCALBASE}/libdata/pkgconfig/dbus-python.pc:${PORTSDIR}/devel/py-dbus
 PLIST_SUB+=		DBUS=""
 .else
@@ -129,7 +128,7 @@ CONFIGURE_ARGS+=--with-mysql-config=/non
 .endif
 
 .if ${PORT_OPTIONS:MACL}
-LIB_DEPENDS+=	sunacl:${PORTSDIR}/sysutils/libsunacl
+LIB_DEPENDS+=	libsunacl.so:${PORTSDIR}/sysutils/libsunacl
 CONFIGURE_ARGS+=--with-acls
 .else
 CONFIGURE_ARGS+=--without-acls

Modified: head/net/netatalk3/distinfo
==============================================================================
--- head/net/netatalk3/distinfo	Tue Mar 18 21:29:04 2014	(r348599)
+++ head/net/netatalk3/distinfo	Tue Mar 18 21:53:40 2014	(r348600)
@@ -1,2 +1,2 @@
-SHA256 (netatalk-3.1.0.tar.bz2) = 18626e1674e4eace896ece44f06650e75f70130f4bf5403dd17152ad3d620db5
-SIZE (netatalk-3.1.0.tar.bz2) = 1802913
+SHA256 (netatalk-3.1.1.tar.bz2) = 1b4e45871d9f17a9b72ddbc6e1978eebd3c729ba2eeffa4ec3b710e023c07727
+SIZE (netatalk-3.1.1.tar.bz2) = 1789482

Added: head/net/netatalk3/files/patch-etc-cnid_bdb_cmd_dbd_scanvol.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/netatalk3/files/patch-etc-cnid_bdb_cmd_dbd_scanvol.c	Tue Mar 18 21:53:40 2014	(r348600)
@@ -0,0 +1,11 @@
+--- etc/cnid_bdb/cmd_dbd_scanvol.c.orig	2014-03-18 17:42:49.000000000 -0400
++++ etc/cnid_bdb/cmd_dbd_scanvol.c	2014-03-18 17:43:31.000000000 -0400
+@@ -616,7 +616,7 @@ static int check_orphaned(const char *na
+     struct stat sb;
+ 
+     if (strlen(name) < 3)
+-        return;
++        return 0;
+ 
+     rc = lstat(&name[2], &sb);
+ 

Modified: head/net/netatalk3/files/patch-etc_apfd_Makefile.in
==============================================================================
--- head/net/netatalk3/files/patch-etc_apfd_Makefile.in	Tue Mar 18 21:29:04 2014	(r348599)
+++ head/net/netatalk3/files/patch-etc_apfd_Makefile.in	Tue Mar 18 21:53:40 2014	(r348600)
@@ -1,15 +1,15 @@
---- etc/afpd/Makefile.in.orig	2013-10-28 11:49:56.000000000 -0400
-+++ etc/afpd/Makefile.in	2013-11-11 10:38:34.000000000 -0500
-@@ -170,7 +170,7 @@ AM_V_at = $(am__v_at_@AM_V@)
- am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
- am__v_at_0 = @
- am__v_at_1 = 
+--- etc/afpd/Makefile.in.orig	2014-03-13 07:33:40.000000000 -0400
++++ etc/afpd/Makefile.in	2014-03-17 15:02:55.000000000 -0400
+@@ -141,7 +141,7 @@ spot_DEPENDENCIES = $(top_builddir)/liba
+ spot_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
+ 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(spot_CFLAGS) $(CFLAGS) \
+ 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
 -DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
 +DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) -I$(top_builddir)/include
  depcomp = $(SHELL) $(top_srcdir)/depcomp
  am__depfiles_maybe = depfiles
  am__mv = mv -f
-@@ -433,7 +433,7 @@ afpd_SOURCES = afp_avahi.c afp_config.c 
+@@ -404,7 +404,7 @@ afpd_SOURCES = afp_avahi.c afp_config.c 
  afpd_LDADD = $(top_builddir)/libatalk/libatalk.la @LIBGCRYPT_LIBS@ \
  	@QUOTA_LIBS@ @WRAP_LIBS@ @LIBADD_DL@ @ACL_LIBS@ \
  	@ZEROCONF_LIBS@ @PTHREAD_LIBS@ @GSSAPI_LIBS@ @KRB5_LIBS@ \

Modified: head/net/netatalk3/pkg-descr
==============================================================================
--- head/net/netatalk3/pkg-descr	Tue Mar 18 21:29:04 2014	(r348599)
+++ head/net/netatalk3/pkg-descr	Tue Mar 18 21:53:40 2014	(r348600)
@@ -2,18 +2,10 @@ Netatalk is an OpenSource software packa
 inexpensive *NIX machine into an extremely high-performance and reliable
 file server for Macintosh computers.
 
-Using Netatalk's AFP 3.2 compliant file-server leads to significantly higher
+Using Netatalk's AFP 3.4 compliant file-server leads to significantly higher
 transmission speeds compared with Macs accessing a server via SaMBa/NFS
 while providing clients with the best possible user experience (full support
 for Macintosh metadata, flawlessly supporting mixed environments of classic
 MacOS and MacOS X clients)
 
-Due to Netatalk speaking AppleTalk, the print-server task can provide
-printing clients with full AppleTalk support as well as the server itself
-with printing capabilities for AppleTalk-only printers.  Starting with
-version 2.0, Netatalk seamlessly interacts with CUPS on the server.
-
-After all, Netatalk can be used to act as an AppleTalk router, providing
-both segmentation and zone names in Macintosh networks.
-
 WWW: http://netatalk.sourceforge.net/

Modified: head/net/netatalk3/pkg-plist
==============================================================================
--- head/net/netatalk3/pkg-plist	Tue Mar 18 21:29:04 2014	(r348599)
+++ head/net/netatalk3/pkg-plist	Tue Mar 18 21:53:40 2014	(r348600)
@@ -72,7 +72,7 @@ include/atalk/volume.h
 lib/libatalk.a
 lib/libatalk.la
 lib/libatalk.so
-lib/libatalk.so.12
+lib/libatalk.so.13
 man/man1/ad.1.gz
 man/man1/afpldaptest.1.gz
 man/man1/afppasswd.1.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Joe Marcus Clarke freebsd_committer 2014-03-18 21:53:48 UTC
State Changed
From-To: open->closed

Fixed in 3.1.1.  Thanks for reporting.